/*
Theme Name: Results For America
Version: 1.0
Description: A child theme of Kadence
Author: Rory Kilroe
Template: kadence
*/

@import url("../kadence/style.css");

.footer-widget-area.content-valign-middle {
    align-items: top!important;
}

/* ------------------------
 *  GLOBAL 
 * ------------------------
 */

.page,
.post,
.entry-content {
	margin-bottom: 0 !important;
}

/* Typography */
/* h1,
h2,
h3,
h4,
h5,
h6,
li,
ol,
ul {
	font-family: 'Sharp Grotesk Book', sans-serif;
	margin: 0;
} */

h1 {
	font-size: 3.5rem;
	line-height:1.125
}

h2 {
	font-size: 2.75rem;
	line-height:1.125
}

h3 {
	font-size: 2.25rem;
	line-height:1.125
}

h4 {
	font-size: 1.75rem;
	line-height:1.125
}

h5 {
	font-size: 1.5rem;
	line-height:1.125
}

h6 {
	font-size: .85rem;
	line-height:1.125
}

/*** MOBILE TYPOGRAPHY ***/
@media only screen and (max-width: 1024px) {
h1 { font-size: 2.25rem}
h2 { font-size: 2.0rem}	
h3 { font-size: 1.75rem}
}



/* Blocks */
.wp-block-social-links,
.widget {
	margin-bottom: 0;
}

.content-style-boxed .wp-site-blocks .entry-content .alignwide {
	grid-gap: 20px;
}

/* Structural */
.narrow-text {
	width: 75%;
	margin: 0 auto;
}

.type-criteria .entry-content {
	margin: 0 !important;
	width: 100% !important;
}

/* Decorative */
.accent {
	width: max-content;
	padding-bottom: .25rem;
}

.accent:after {
	content: '';
	height: 1px;
	width: 100%;
	background: #000;
	display: block;
	margin-top: .5rem;
}

main a,
.bod-block-popup a, .single-criteria-content a {
	text-decoration-color: var(--global-palette7);
	text-underline-position: under;
}

main a:hover,
.bod-block-popup a:hover, .single-criteria-content a:hover {
	text-decoration-color: var(--global-palette1);
}

/* Above Header Widgets */
.social-bar {
	background: #0d709a;
	display: inline-flex;
	justify-content: right;
	align-items: center;
	padding: 1rem 5% 0rem 0;
	float: right;
	position: relative;
	z-index: 3;
}

.social-bar .wp-block-social-links .wp-social-link a {
	padding: 0;
}

.social-bar .wp-block-social-links .wp-social-link svg {
	height: 20px;
	width: 20px;
}

.social-bar .wp-block-buttons {
	margin-left: 1rem;
}

/* ------------------------
 *  HEADER 
 * ------------------------
 */
header nav .sub-menu {
	border-radius: 8px;
	overflow:hidden;	
}

.site-top-header-wrap .site-header-row-container-inner {
	border-radius: 0 0 20px 20px;
}


/* ------------------------
 *  PAGES 
 * ------------------------
 */

h1.entry-title {
	display: none;
}

body:not(.elementor-page) .page {
  width: 100%;
  max-width: 1140px !important;
  margin: 0 auto !important;
  padding: 60px 0;
  box-shadow: none;
}

/* ------------------------
 *  TWITTER
 * ------------------------
 */

#ctf, .ctf-author-name, .ctf-author-screenname, .ctf-screename-sep, .ctf-tweet-meta, .ctf-tweet-date {
	color: #fff!important;
}

#ctf a {
	color: #fff;
	text-decoration: underline;
}

#ctf a:hover {
	color: #F87C50;
}

main h2 a{
	text-decoration: underline;
	  text-decoration-color: var(--global-palette7);

}

footer a{
		text-decoration: underline !important;
	  text-decoration-color: var(--global-palette7) !important;
	color: white !important;
}

footer a:hover{
	text-decoration-color: white !important;
}